# VLSI SAPD Documentation

Presentation | AGDS | CIF | DTR | OPENCHAMS | SPICE | Links & Contact

Public Member Functions
Instance Class Reference
Inheritance diagram for Instance:

## Public Member Functions
void | addConnector (std::string connector)
| adds a connector to the instance. More...
void | addParameter (std::string name, std::string value)
| adds a parameter to the instance. More...
const std::vector< std::string > & | getConnectors ()
| returns the map of instance's connectors. More...
std::string | getModel ()
| returns the model of the instance.
std::string | getName ()
| returns the name of the instance.
const std::map< std::string, std::string > & | getParameters ()
| returns the parameters of the instance.
std::string | getParameterValue (std::string name)
| returns the value (as string) of a parameter of the instance. More...
| Instance (std::string name, std::string model)
| creates a new instance. More...

## Detailed Description

This class describes an instance of the global circuit. It is the base class of SPICE::Capacitor, SPICE::Mosfet and SPICE::Resistor.

## Constructor & Destructor Documentation

## ◆ Instance()

Instance | ( | std::string | name,
|  | std::string | model
| ) |  |

creates a new instance.

Parameters

  name | the name of the instance.
  model | the model of the instance.
  netlist | the netlist to which the instance belongs.
  name | the name of the instance.
  model | the model of the instance.

## Member Function Documentation

## ◆ addConnector()

void addConnector | ( | std::string | connector | ) |
| inline

adds a connector to the instance.

Parameters

  name | the name of the connector.
  connector | the connector to add.

## ◆ addParameter()

void addParameter | ( | std::string | name,
|  | std::string | value
| ) |  |
| inline

adds a parameter to the instance.

add a parameter to the instance.

adds an equation parameter to the instance.

Parameters

  name | the name of the parameter.
  value | the value of the parameter.
  name | the name of the parameter.
  equation | the equation string of the parameter.

## ◆ getConnectors()

const std::vector< std::string > & getConnectors | ( |  | ) |
| inline

returns the map of instance's connectors.

returns the connectors of the instance.

## ◆ getParameterValue()

string getParameterValue | ( | std::string | name | ) |

returns the value (as string) of a parameter of the instance.

Parameters

  name | the name of the parameter from which to get value.

Generated by doxygen 1.8.14 on Mon Feb 3 2020 | Return to top of page

VLSI SAPD Documentation | Copyright © 2010 - 2011 UPMC All rights reserved